*, *:before, *:after {
    box-sizing: border-box;
}

html, body, #moodBackground, .blackScreen {
    height: calc(100vh - 60px);
    min-height: calc(100vh - 60px);
    width: 100vw;
    margin: 0;
    overflow-x: hidden;
}

#settings {
    height: calc(100vh - 60px);
    position: absolute;
}

#moodBackground {
    background-image: linear-gradient(45deg, rgba(111, 159, 231, 0.9), rgba(238, 106, 30, 0.9));
    background-attachment: fixed;
    transition: background-image .5s linear;
    will-change: background-image;
}

#music-controls {
    width: 100%;
    /* height: calc(100vw - 60px); */
    max-width: 700px;
    min-width: 300px;
    margin: auto;
}

#main-controls {
    position: relative;
    width: 90%;
    top: 15px;
    bottom: 15px;
    font: normal 15px sans-serif;
    text-align: center;
    margin: auto;
}

#textArea {
    font: lighter 15px sans-serif;
    line-height: 22px;
    margin-bottom: 5px;
}

.logo {
    widows: 90%;
    margin: auto;
}

#toolTips {
    position: absolute;
    width: 100%;
    text-align: center;
    visibility: hidden;
}

section h1 {
    margin-top: 20px;
    color: rgba(0, 0, 0, 0.7);
    font-size: 20px;
    text-align: center;
}

section h2 {
    color: rgba(0, 0, 0, 0.6);
    font-size: 18px;
    text-align: center;
}

#licensingInfo {
    font: normal 15px sans-serif;
    color: rgba(0, 0, 0, 0.747);
    margin-top: 20px;
    text-align: left;
}

#copyright {
    font: lighter 13px sans-serif;
    color: rgba(0, 0, 0, 0.747);
    margin: 20px;
}

table {
    border-collapse: collapse;
    width: 100%;
    position: relative;
}

td, th {
    border: 0px solid black;
    padding: 2px;
}

tr {
    /* border-bottom: 30px solid rgba(255, 255, 255, 0); */
    padding: 50px;
    margin: 5px;
}

#tempo td {
    padding: 0px;
}

#harmonicSpeedSlider, #densitySlider, #trackLengthSlider {
    width: 100%;
    max-width: 450px;
    cursor: pointer;
}

option:checked {
    color: rgba(255, 255, 255, 1);
}

.licenseButtons {
    display: inline-block;
}

.select {
    position: relative;
    display: flex;
    width: 100%;
    height: 35px;
    line-height: 35px;
    background: rgba(255, 255, 255, 0.1);
    overflow: hidden;
    border-radius: 4px;
}

.select::after {
    content: '\25BC';
    position: absolute;
    top: 0px;
    right: 0px;
    height: 35px;
    padding: 2px 6px;
    background: rgba(255, 255, 255, 0.1);
    cursor: pointer;
    pointer-events: none;
    color: #FFF;
    border-radius: 0px 4px 4px 0px;
    overflow: hidden;
}

.licensePrice {
    position: relative;
    font: bold 25px sans-serif;
    color: black;
    top: 5px;
}

.licenseSelect {
    position: relative;
    display: inline-block;
    width: 215px;
    top: 13px;
    height: 35px;
    line-height: 35px;
    background: rgb(145, 145, 145);
    /* background: rgb(255, 255, 255); */
    overflow: hidden;
    border-radius: 4px;
    color: white;
}

.licenseSelect::after {
    content: '\25BC';
    position: absolute;
    top: 0px;
    right: 0px;
    height: 35px;
    padding: 2px 6px;
    background: rgba(0, 0, 0, 0.2);
    cursor: pointer;
    pointer-events: none;
    color: white;
    border-radius: 0px 4px 4px 0px;
    overflow: hidden;
}

.licenseSelector {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    outline: 0;
    box-shadow: none;
    /* background: rgb(201, 201, 201); */
    background: rgba(255, 255, 255, 0);
    width: 100%;
    padding: 0 10px;
    color: white;
    border: none;
    cursor: pointer;
    font: normal 14px sans-serif;
}

.licenseSelector::-ms-expand {
    display: none;
}

#licensingSummary {
    padding: 0px 30px;
    color: rgb(73, 73, 73);
    background-color: rgb(245, 242, 234);
    border-radius: 5px;
    padding: 20px;
    margin: 0px 10px 0px 10px;
    font: lighter 15px sans-serif;
    line-height: 25px;
}

.randomize {
    /* padding: 0px 10px; */
    background: rgba(0, 0, 0, 0.35);
    border-radius: 4px;
    color: #FFF;
    display: block;
    font-size: 14px;
    cursor: pointer;
    outline: 0;
    height: 55px;
    width: 80px;
    border: 0;
    /* left: 0; */
    top: 0;
    margin: auto;
}

.durationText {
    display: inline;
    color: black;
}

#export {
    min-height: calc(100vh - 60px);
    height: calc(100vh - 60px);
    position: absolute;
    background: rgb(255, 255, 255);
}
.exportBarContainer {
    max-width: 700px;
    margin:auto;
}
.exportBar {
    overflow-y: scroll;
    display: block;
    height:100%;
    font: normal 15px sans-serif;
    color: black;
    text-align: center;
    font-size: 14px;
    background: rgb(255, 255, 255);
    max-width: 700px;
    min-width: 300px;
    margin: auto;
    padding: 0px;
}

.trackLengthSliderSection {
    margin: 10px;
    /* padding:10px; */
}

.exportBar .songDuration, .exportBar .indicator {
    font-weight: bold;
    font-size: 16px;
}

.button {
    /* padding: 5px; */
    color: rgb(255, 255, 255);
    display: inline-block;
    cursor: pointer;
    /* background: rgba(0, 0, 0, 0); */
    background: rgb(145, 145, 145);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 4px;
    margin: 3px;
    font: normal 14px sans-serif;
}

.button:hover {
    background: rgb(0, 130, 255);
}

.square {
    padding: 5px;
    height: 35px;
}

.icon {
    width: 35px;
    height: 35px;
    bottom: 0px;
    cursor: pointer;
    filter: invert(1);
    -webkit-filter: invert(1);
    vertical-align: bottom;
}

.iconSmall {
    width: 15px;
    height: 15px;
    cursor: pointer;
    filter: invert(1);
    -webkit-filter: invert(1);
}

.iconSmallSolo {
    width: 15px;
    height: 15px;
    cursor: pointer;
    filter: invert(1);
    -webkit-filter: invert(1);
    margin-top: 10px;
}

.left {
    float: left;
    left: 0;
}

.right {
    right: 0;
    float: right;
}

.controlSlider {
    float: left;
    width: 100%;
    /* padding-bottom: 10px; */
    align-content: center;
    /* padding: 5px 0px 5px 5px; */
}

.controlSlider input[type=range][orient=horizontal] {
    width: 100%;
}

.iconText {
    margin-top: 0;
    /* font: lighter 10px sans-serif; */
    color: white;
    vertical-align: top;
}

.iconBox {
    color: #FFF;
    font: lighter 10px sans-serif;
    cursor: pointer;
}

.row {
    display: inline-flex;
    color: #FFF;
    width: 100%;
    align-content: center;
}

.column {
    padding: 5px;
}

.sliderRows {
    color: #FFF;
    width: 70%;
    float: left;
    padding: 15px;
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 4px;
}

.topControls {
    display: inline-flex;
    width: 100%;
    margin-top: 10px;
}

.topRight {
    width: 30%;
    right: 0px;
    display: block;
    padding: 2px;
    /* bottom:0px; */
    /* float:bottom; */
    /* position: absolute; */
}

/*comment this out for developing css
#music-controls {
    display: none;
} */

#play, .center {
    width: 45px;
    height: 45px;
    float: left;
}

#play-pause, #play-pause-touch {
    /* left: 0px; */
    top: 0px;
}

#play-pause {
    width: 45px;
    height: 45px;
    /* margin: 0px; */
    display: none;
}

#play-pause-touch {
    cursor: pointer;
    width: 45px;
    height: 45px;
    top: 5px;
    position: absolute;
    /* display: none; */
}

#loader {
    display: none;
}

#load-and-start, #loader {
    width: 10px;
    /* display: inherit; */
}

canvas {
    display: block;
}

.inputNumber {
    width: 35px;
}

input[type=range][orient=vertical] {
    /* IE */
    -webkit-appearance: slider-vertical;
    /* WebKit */
    width: 8px;
    height: 100px;
    padding: 0 5px;
}

input[type=number][name*="fLengthMultiplier"] {
    width: 25px;
}

.ad2hs-prompt {
    background-color: #005E86;
    border: none;
    display: none;
    color: white;
    padding: 6vw 6vw;
    text-align: center;
    text-decoration: none;
    font-size: 6vw;
    margin: 0;
    left: 0;
    right: 0;
    bottom: 60px;
    width: 100vw;
    z-index: 50;
    cursor: pointer;
    position: fixed;
}

.ios-prompt {
    background-color: #fcfcfc;
    border: none;
    display: none;
    padding: 0.8rem 1rem 0 0.5rem;
    text-decoration: none;
    font-size: 16px;
    color: #555;
    position: fixed;
    margin: 0;
    left: 0;
    right: 0;
    bottom: 60px;
    width: 100vw;
    z-index: 50;
    cursor: pointer;
}

.globalMessage {
    background-color: #ffffff;
    box-shadow: 0px 2px 10px 0px #000000;
    border: none;
    border-radius: 10px;
    font: bolder 30px sans-serif;
    text-align: center;
    text-justify: auto;
    justify-content: center;
    display: none;
    padding: 15px 15px 0px 15px;
    text-decoration: none;
    font-size: 16px;
    color: rgb(14, 14, 14);
    position: fixed;
    top: 40%;
    margin: auto;
    width: 80%;
    left: 10%;
    z-index: 60;
    pointer-events: none;
    /* cursor: pointer; */
}

.loadingBar {
    position: relative;
    width: 100%;
    height: 5px;
    margin: 10px 10px 10px 0px;
}

.loadingPercent {
    position: relative;
    display: block;
    align-content: left;
    background: rgb(0, 130, 255);
    width: 0;
    height: 5px;
}

#developmentCheckbox {
    appearance: none;
    display: none;
}

#share {
    display: none;
    cursor: pointer;
}

#video-container {
    position: relative;
    height: calc(100vw * .5625);
    margin: auto;
    max-height: calc(100vh - 60px);
}

#video-container iframe, #video-container object, #video-container embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: calc(100vh - 60px);
    max-height: calc(100vh - 60px);
}

#more {
    position: absolute;
    margin: 0px;
    background-color: black;
    height: calc(100vh - 60px);
}

#steadiness {
    left: 50%;
    margin: auto;
}

.steadySwitch {
    position: relative;
    display: block;
    width: 40px;
    height: 24px;
    right: 0;
    top: 3px;
    float: bottom;
}

.steadySwitch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.2);
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider:before {
    -webkit-transform: translateX(16px);
    -ms-transform: translateX(16px);
    transform: translateX(16px);
}

/* Rounded sliders */

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.selector {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    outline: 0;
    box-shadow: none;
    background: rgba(255, 255, 255, 0);
    /* background-image: none; */
    width: 100%;
    padding: 0 10px;
    color: #FFF;
    /* border: 1 solid rgba(0, 0, 0, 0.1); */
    border: none;
    cursor: pointer;
    font: lighter 15px sans-serif;
}

.selector::-ms-expand {
    display: none;
}

.parameter {
    display: grid;
    color: #FFF;
    width: 100%;
    font-size: 14px;
    background: rgba(0, 0, 0, 0.35);
    border-radius: 4px;
    /* border-color: rgb(255, 255, 255); */
    /* border-width: 5px; */
    grid-template-columns: 60px 1fr 80px;
    grid-template-rows: 1fr 6px;
    padding: 5px 5px 2px 5px;
    margin: 1px 0px;
}

.parameter>.frequency>.changeVisualizer {
    grid-column: 1 / 2;
    grid-row: 2;
}

.parameter>.frequency>.changeVisualizer>div {
    display: flex;
    flex-wrap: nowrap;
    background-color: blue;
    width: 100%;
    height: 20px;
    margin: 1px;
    content: " ";
}

.parameter>.icon {
    bottom: 0px;
    width: 60px;
    height: 50px;
    padding: 0px 0px;
    margin: 5px 0px 0px 0px;
    cursor: pointer;
    filter: invert(1);
    -webkit-filter: invert(1);
}

.parameter>.icon>img {
    margin: 0px 10px;
    width: 33px;
    height: 33px;
}

.parameter>.icon>div {
    color: black;
}

.parameter>.setting {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 2fr;
    padding: 0px 5px;
    text-align: left;
}

/* .parameter>.setting>.checkbox {
    grid-column: 1;
    grid-row: 1;
    margin: auto; 
} */

.parameter>.setting>.indicator {
    grid-column: 1;
    grid-row: 1;
    margin: auto;
}

.parameter>.setting>.selection {
    grid-column: 1;
    grid-row: 2;
    display: flex;
}

.parameter>.frequency {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 0px 5px 0px 5px;
}

.parameter>.frequency>.indicator {
    grid-column: 1 / 3;
    grid-row: 1;
    margin: auto;
}

.parameter>.frequency>.minus {
    grid-column: 1;
    grid-row: 2;
    border-radius: 4px 0px 0px 4px;
}

.parameter>.frequency>.plus {
    grid-column: 2;
    grid-row: 2;
    border-radius: 0px 4px 4px 0px;
}

.parameter>.frequency>.plus, .parameter>.frequency>.minus {
    filter: invert(1);
    -webkit-filter: invert(1);
    border: 1px solid rgba(0, 0, 0, 0.1);
    width: 35px;
    cursor: pointer;
    background: rgba(0, 0, 0, 0.1);
}

.changeProgressVisualizer {
    grid-column: 1 / 4;
    display: flex;
    flex-wrap: nowrap;
    background-color: rgba(0, 0, 0, 0);
}

.changeProgressVisualizer>div {
    background-color: rgba(0, 0, 0, 0.3);
    width: 100%;
    height: 4px;
    margin: .5px;
    margin-bottom: 2px;
}

.multiSelect {
    font-size: 14px;
    color: white;
    position: relative;
    display: flex;
    width: 100%;
    height: 35px;
    line-height: 35px;
    background: rgba(255, 255, 255, 0.1);
    overflow: hidden;
    border-radius: 4px;
}

/* The checkbox-container */

.checkbox-container {
    display: block;
    position: relative;
    padding-left: 40px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* Create a custom checkbox */

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 35px;
    width: 35px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: rgba(255, 255, 255, 0);
    border-radius: 4px;
}

/* When the checkbox is checked */

.checkbox-container input:checked~.checkmark {
    background-color: rgba(0, 0, 0, 0.1);
    border: 1px solid rgba(0, 0, 0, 0.1);
    opacity: 1;
}

/* Create the checkmark/indicator */

.checkmark:after {
    content: "2x";
    position: absolute;
    top: 6px;
    left: 7px;
    opacity: .5;
}

/* Show the checkmark when checked */

.checkbox-container input:checked~.checkmark:after {
    display: block;
    opacity: 1;
}

audio {
    display: block;
    margin-bottom: 1px;
}

.licenseModal {
    display: none;
    /* Hidden by default */
    position: absolute;
    /* Stay in place */
    z-index: 110;
    /* Sit on top */
    top: 0;
    width: 100%;
    /* Full width */
    overflow: auto;
    /* Enable scroll if needed */
    text-align: left;
    margin-bottom: 50px;
}

.licenseModal-content {
    position: relative;
    border: none;
    border-radius: 4px;
    font: lighter 16px sans-serif;
    color: rgb(49, 49, 49);
    background-color: rgb(255, 255, 255);
    padding: 20px;
    width: 100%;
    line-height: 25px;
}

.licenseModal ol {
    padding: 0px;
}

.licenseModal li {
    margin: 30px;
}

.licenseModal p {
    color: rgb(73, 73, 73);
    font-size: 14px;
    background-color: rgb(245, 242, 234);
    border-radius: 5px;
    padding: 20px;
    /* left:20px; */
}

#transaction-status {
    font: lighter 18px sans-serif;
    padding: 30px;
}

#purchaseAudio, #exportAudio {
    margin: auto;
    align-content: center;
    margin-top: 30px;
    color: rgb(255, 255, 255);
    cursor: pointer;
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 4px;
    font: normal 18px sans-serif;
    background: rgb(0, 130, 255);
    padding: 5px;
    height: 40px;
    width: 250px;
}

#purchaseAudio:hover, #exportAudio:hover {
    background: rgb(92, 176, 255);
}

#purchaseAudio {
    display: none;
}

#payments-list {
    text-align: left;
    height:auto;
    padding-bottom: 20px;
}
